<ng-container *ngIf="keytarSupport$ | async; else keytarUnsupportedTemplate">
    Keep me signed in
    <i
        *ngIf="savePassword" [placement]="'bottom'"
        [popover]="popTemplate" class="fa fa-info-circle text-warning" container="body" triggers="mouseenter:mouseleave"
    ></i>
    <ng-template #popTemplate><span [innerHtml]="savePasswordWarnHtmlMessage"></span></ng-template>
</ng-container>
<ng-template #keytarUnsupportedTemplate>
    <code>Keep me signed in</code> feature is unsupported by the system,
    <a (click)="$event.preventDefault(); toggleKeytarUnsupportedDetails()" href="javascript:void(0)">toggle details</a>.
    <div [collapse]="!keytarUnsupportedDetails" class="text-left">
        <ul>
            <li>
                First of all please see <a href="{{ PACKAGE_GITHUB_PROJECT_URL }}/wiki/FAQ">FAQ</a> for more information.
            </li>
            <li>
                For details, see the <code>log.log</code> file located in the
                <a (click)="$event.preventDefault(); openSettingsFolder()" href="javascript:void(0)">settings folder</a>.
            </li>
            <li *ngIf="snapPasswordManagerServiceHint$ | async">
                Try executing <code>sudo snap connect {{ projectName }}:password-manager-service</code>
                <br>
                and restart the app.
            </li>
        </ul>
    </div>
</ng-template>
